Home > Cannot Locate > Cannot Locate Debconf/db.pm

Cannot Locate Debconf/db.pm

Compilation failed in require at /usr/share/perl5/Debconf/Template.pm +line 10. libdate-manip-perl depends on libyaml-syck-perl; however: Package libyaml-syck-perl is not configured yet. BEGIN failed--compilation aborted at /usr/share/perl5/Debconf/Template +.pm line 10. No further changes may be made. have a peek here

Thanks. My cat sat down on my laptop, now the right side of my keyboard types the wrong characters Dynamic Query - System.QueryException: expecting a colon, found '.' Execute bash script from Traceback (most recent call last): File "/usr/bin/py3clean", line 32, in from debpython import files as dpf ImportError: No module named 'debpython' dpkg: error processing /var/cache/apt/archives/python3-software-properties_0.92.25_all.deb (--unpack): subprocess new pre-removal script Full text and rfc822 format available.

Setting up doc-base (0.10.5) ... Done 0 upgraded, 0 newly installed, 1 reinstalled, 0 to remove and 24 not upgraded. 4 not fully installed or removed. Reported by: Evan Harris Date: Mon, 26 Mar 2001 17:03:31 UTC Severity: normal Found in version 0.9.28 Done: Joey Hess Bug is archived. Traceback (most recent call last): File "/usr/bin/py3clean", line 32, in from debpython import files as dpf ImportError: No module named 'debpython' dpkg: error processing /var/cache/apt/archives/software-properties-common_0.92.25_all.deb (--unpack): subprocess new pre-removal script

Do you want to continue [Y/n]? We're good.[reply][d/l][select] Re: upgrade broke perl? If you need to reset your password, click here. Can't locate Debian/DebConf/ConfigDb.pm in @INC (@INC contains: /usr/local/lib/perl/5.6.0 /usr/local/share/perl/5.6.0 /usr/lib/perl5 /usr/share/perl5 /usr/lib/perl/5.6.0 /usr/share/perl/5.6.0 /usr/lib/perl5/5.6/i386-linux /usr/lib/perl5/5.6 /usr/lib/perl5/5.005/i386-linux .) at /usr/lib/perl5/Debconf/Config.pm line 19.

Re: perl configuration problem by Corion (Pope) on Jun 16, 2007 at 17:31EDT I had this problem once and it was because I upgraded the system Perl with a newer version What is missing is a part of the PERL package. Acknowledgement sent to Evan Harris : Extra info received and forwarded to list. Done Building dependency tree Reading state information...

running python pre-rtupdate hooks for python3.3... The configuration should be retried using dpkg --configure or the configure menu option in dselect: man-db on-line manual pager software-center Utility for browsing, installing, and removing software lightdm Display Manager After this operation, 0 B of additional disk space will be used. Do you want to continue [Y/n]?

Done 0 upgraded, 0 newly installed, 1 reinstalled, 0 to remove and 0 not upgraded. 4 not fully installed or removed. http://www.perlmonks.org/?node_id=621622 Compilation failed in require at /usr/share/perl/5.14.2//CPAN.pm line +58. Acknowledgement sent to Joey Hess : Extra info received and forwarded to list. Everything seems to be fixed besides the fact that I don't have a readable desktop, instead of words I only have symbols.

Manfred Hampl (m-hampl) said on 2013-08-03: #41 I do not fully understand your last message: can you boot your system now, or is it impossible to start it? navigate here Joe[reply][d/l] Re: upgrade broke perl? I have shortened the question title to avoid that it spoils the columns 2. BEGIN failed--compilation aborted at /usr/lib/perl5/Debconf/Config.pm line 19.

dpkg: error processing libpam0g (--configure): subprocess installed post-installation script returned error exit sta +tus 2 Errors were encountered while processing: libpam0g E: Sub-process /usr/bin/dpkg returned an error code (1) [download] any Basically I install perl-base and debconf from archives folder. /var/cache/apt/archives$ ls -als | grep perl 1484 -rw-r--r-- 1 root root 1517844 Sep 30 06:11 perl-base_5.14.2-21+deb7u1_amd64.deb /var/cache/apt/archives$ sudo dpkg -i perl-base_5.14.2-21+deb7u1_amd64.deb (Lese Can I hide disabled users in the User Manager? Check This Out HTTP request sent, awaiting response... 200 OK Length: 86068 (84K) [application/x-debian-package] Saving to: ‘doc-base_0.10.5_all.deb’ 100%[======================================>] 86.068 358KB/s in 0,2s 2013-08-05 12:52:20 (358 KB/s) - ‘doc-base_0.10.5_all.deb’ saved [86068/86068] ~$ sudo dpkg -i

Compilation failed in require at /usr/share/perl5/Debconf/Db.pm line 6. ERROR:root:DebFileApplication import Traceback (most recent call last): File "/usr/share/software-center/softwarecenter/db/__init__.py", line 4, in from debfile import DebFileApplication, DebFileOpenError File "/usr/share/software-center/softwarecenter/db/debfile.py", line 25, in from softwarecenter.db.application import Application, AppDetails File "/usr/share/software-center/softwarecenter/db/application.py", However, Perl is not able to resolve the dependency tho the module feature.pm, which must be located in some of the folders.

Ask Ubuntu works best with JavaScript enabled Log in / Register Ubuntu Overview Code Bugs Blueprints Translations Answers debconf: Perl may be unconfigured (Can't locate strict.pm in @INC (@INC contains: /etc/perl

Done 0 upgraded, 0 newly installed, 1 reinstalled, 0 to remove and 0 not upgraded. 2 not fully installed or removed. BEGIN failed--compilation aborted at (eval 1) line 4. ) -- aborting (Reading database ... 145204 files and directories currently installed.) Preparing to replace debconf 1.5.50ubuntu1 (using .../debconf_1.5.50ubuntu1_all.deb) ... Manfred Hampl (m-hampl) said on 2013-08-01: #24 Might be that I was focusing on the wrong python package, try reinstalling python and python-minimal (not python3). http://search.cpan.org/~rgarcia/perl-5.9.3/lib/feature.p But as Jason L.

into @INC? No apport report written because MaxReports is reached already Errors were encountered while processing: debconf E: Sub-process /usr/bin/dpkg returned an error code (1) The only one that went ok was the Like I said- Yours is only the 2d I've seen with that problem in almost 5 years. this contact form Manfred Hampl (m-hampl) said on 2013-08-05: #51 In your last output I do not see any warning or error message any more, so package management seems to be in a consistent

Done Building dependency tree Reading state information... good chemistry is complicated,and a little bit messy -LW PerlMonks upgrade broke perl? Adv Reply Quick Navigation Installation & Upgrades Top Site Areas Settings Private Messages Subscriptions Who's Online Search Forums Forums Home Forums The Ubuntu Forum Community Ubuntu Official Flavours Support New Create A New User Node Status?

So the question is, since you have debconf 0.9.x installed, why do you still have files in /usr/lib/perl5/Debconf/ ? Seekers of Perl Wisdom Cool Uses for Perl Meditations PerlMonks Discussion Categorized Q&A Tutorials Obfuscated Code Perl Poetry Perl News about Information? but I | am, so that's the way it comes out." On Mon, 26 Mar 2001, Joey Hess wrote: > Evan Harris wrote: > > > > Package: debconf > > Fertig Abhängigkeitsbaum wird aufgebaut.

Need to get 0 B/83,6 kB of archives. up vote 3 down vote favorite Hi I have error when I want to install,remove or configure my package this is the error debconf: Perl may be unconfigured (Can't locate Debconf/Log.pm However, if e.g. Done 0 upgraded, 0 newly installed, 1 reinstalled, 0 to remove and 24 not upgraded. 4 not fully installed or removed.

but I | am, so that's the way it comes out." On Mon, 26 Mar 2001, Joey Hess wrote: > Evan Harris wrote: > > # dpkg -S /usr/lib/perl5/Debconf/* > > I guess this approach would fit more this Issue.